Gentoo Archives: gentoo-dev

From: Maciej Mrozowski <reavertm@×××××.com>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] New eclass: autotools-utils.eclass
Date: Mon, 19 Jul 2010 16:24:17
Message-Id: 201007191823.36683.reavertm@gmail.com
In Reply to: Re: [gentoo-dev] New eclass: autotools-utils.eclass by "Jorge Manuel B. S. Vicetto"
On Sunday 18 of July 2010 03:54:43 Jorge Manuel B. S. Vicetto wrote:

> grep EAPI-TOO-OLD $(portageq portdir)/eclass/* > /home/gentoo-cvs/gentoo-x86/eclass/kde4-functions.eclass: *) > DEPEND="EAPI-TOO-OLD" ;; > /home/gentoo-cvs/gentoo-x86/eclass/poppler.eclass:has 2 ${EAPI} || > DEPEND="EAPI-TOO-OLD" > /home/gentoo-cvs/gentoo-x86/eclass/virtuoso.eclass: *) > DEPEND='EAPI-TOO-OLD' ;;
status quo should be challenged occasionally. Fixed autotools-utils.eclass, kde4-functions.eclass, virtuoso.eclass case ${EAPI:-0} in 2|3|4) ;; - *) DEPEND="EAPI-TOO-OLD" ;; + *) die "EAPI=${EAPI} is not supported" ;; esac Remaining poppler.eclass is not used anymore and probably subject to remove. -- regards MM

Replies

Subject Author
Re: [gentoo-dev] New eclass: autotools-utils.eclass Ciaran McCreesh <ciaran.mccreesh@××××××××××.com>